MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
JpegImageWriter Class Reference

writes an image stage to a JPEG file More...

`#include <JpegImageWriter.h>`

Inheritance diagram for JpegImageWriter:
[legend]
Collaboration diagram for JpegImageWriter:
[legend]

## Public Member Functions
| JpegImageWriter (void)
virtual | ~JpegImageWriter (void)
LT_STATUS | initialize (LTIImageStage *imageStage, lt_int32 quality=0, lt_int32 smoothing=0)
| initialize More...
LT_STATUS | writeBegin (const LTIScene &scene)
| begin an encode (write) operation More...
LT_STATUS | writeStrip (LTISceneBuffer &stripBuffer, const LTIScene &stripScene)
| encode one strip of the scene More...
LT_STATUS | writeEnd ()
| complete an encode (write) operation More...
Public Member Functions inherited from LTIGeoFileImageWriter
virtual | ~LTIGeoFileImageWriter ()
virtual LT_STATUS | deleteOutput (void)
| clean up a failed encode (write) operation More...
virtual LT_STATUS | setOutputFileSpec (const LTFileSpec &fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputFileSpec (const char *fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputStream (LTIOStreamInf *stream)
| set output file stream More...
virtual void | setWriteWorldFile (bool enabled)
| enable writing of world file More...
Public Member Functions inherited from LTIImageWriter
virtual | ~LTIImageWriter ()
virtual LT_STATUS | write (const LTIScene &scene)
| write (encode) a scene to the output format More...
LT_STATUS | setStripHeight (lt_uint32 stripHeight)
| set the stripheight for the encode More...
lt_uint32 | getStripHeight (void) const
| get the stripheight for the encode More...
virtual lt_uint32 | getDefaultStripHeight (void) const
| get the preferred stripheight for the encode More...
virtual lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode the scene More...
void | setProgressDelegate (LTIProgressDelegate *delegate)
| set progress delegate More...
void | setInterruptDelegate (LTIInterruptDelegate *delegate)
| set interrupt delegate More...
const LTIImageStage * | getSourceImageStage (void) const
| get the source image stage More...
LTIProgressDelegate * | getProgressDelegate (void) const
| get progress delegate More...
LTIInterruptDelegate * | getInterruptDelegate (void) const
| get interrupt delegate More...
virtual LT_STATUS | setEncodingApplication (const char *name, const char *version, const char *comment=NULL)
| set name and version of the creating application More...

## Additional Inherited Members
Protected Member Functions inherited from LTIGeoFileImageWriter
| LTIGeoFileImageWriter (bool supportsStreams)
| constructor More...
LTIOStreamInf * | getStream () const
| get underlying stream More...
LTFileSpec * | getFileSpec () const
| get target filename More...
Protected Attributes inherited from LTIImageWriter
LTIImageStage * | m_image

## Detailed Description

This class writes an image stage to a JPEG file.

Examples:
  DecodeJP2ToJPG.cpp.

Definition at line 31 of file JpegImageWriter.h.

## Constructor & Destructor Documentation

JpegImageWriter::JpegImageWriter | ( | void | ) |  |

virtual JpegImageWriter::~JpegImageWriter | ( | void | ) |  |
| virtual

## Member Function Documentation

LT_STATUS JpegImageWriter::initialize | ( | LTIImageStage * | imageStage,
|  | lt_int32 | quality = `0`,
|  | lt_int32 | smoothing = `0`
| ) |  |

Initialize a writer for JPEG images.

Parameters

  imageStage | the image to write from
  quality | sets the JPEG "quality" encoding parameter; this is a value between 0 and 100
  smoothing | sets the JPEG "smoothing" encoding parameter; this is a value between 0 and 100

LT_STATUS JpegImageWriter::writeBegin | ( | const LTIScene & | scene) |  |
| virtual

This function implements the logic for beginning the encoding of the given scene.

The scene must be a valid scene for the underlying image pipeline.

This function is called by write(). Derived classes must implement this function.

Parameters

  scene | the scene to decode and output

Returns
  status code indicating success or failure

Reimplemented from LTIGeoFileImageWriter.

LT_STATUS JpegImageWriter::writeEnd | ( | ) |  |
| virtual

This function implements the logic for completing the encoding of the given scene.

This function is called by write(). Derived classes must implement this function.

Returns
  status code indicating success or failure

Reimplemented from LTIGeoFileImageWriter.

LT_STATUS JpegImageWriter::writeStrip | ( | LTISceneBuffer & | stripBuffer,
|  | const LTIScene & | stripScene
| ) |  |
| virtual

This function implements the logic for actually encoding a given strip of the given scene.

This function is called by write(). Derived classes must implement this function.

Parameters

  stripBuffer | the pixels for the current strip
  stripScene | the scene representing the strip being written

Returns
  status code indicating success or failure

Implements LTIGeoFileImageWriter.

The documentation for this class was generated from the following file:

- JpegImageWriter.h

LizardTech